
<div class="flight-search modify-search" ng-controller="flightSearchCtrl">
    <form id="searchForm" autocomplete="off">
        <ul id="innerTab" class="flight-inline route-tabs">
            <li class="flight-type date-pics" id="round">
                <a class="txt-ctr" data-toggle="tab" ng-click="oneWayAndRoundTrip('2')" data-target="#roundTrip">Round Trip</a>
            </li>
            <li class="flight-type date-pics" id="oneWay">
                <a class="txt-ctr" data-toggle="tab" ng-click="oneWayAndRoundTrip('1')" data-target="#roundTrip">One way</a>
            </li>
            <li class="flight-type date-pics" id="multiple">
                <a class="txt-ctr" data-toggle="tab" ng-click="initMultiCityTrip()" data-target="#multiCity">Multi-City</a>
            </li>
        </ul>
        <!-- <i class="fa fa-close refine-search-close refine-search close-tab"></i> -->
        <div>
            <button type="button" class="refine-search-close v-btn v-btn--flat v-btn--icon v-btn--round theme--light v-size--default pink--text">
                <span class="v-btn__content">x</span>
              </button>
              </div>

        <div class="tab-content">
            <div id="roundTrip" class="tab-pane fadein active ">
                <div class="row">
                    <div class="textleft row pt-2 ">
                        <div class="col-xs-12 col-sm-6 col-md-4 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Flying From </b></span>
                                <span role="status" aria-live="polite"
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <input ng-model="flightSearchRQ.frmAirport" type="text" id="from_place" required=""
                                    name="from_place" class="form-control ui-autocomplete-input valid mt-2 "
                                    placeholder="Origin Airport/City" autofocus="" onkeypress="return /[a-z]/i.test(event.key)"/>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4 textleft" id="flyingto">
                            <div class="form-group">
                                <span class="size10"><b>Flying To</b></span>
                                <span role="status" aria-live="polite"
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <input ng-model="flightSearchRQ.toAirport" id="to_place" type="text" required=""
                                    class="form-control ui-autocomplete-input valid mt-2 " placeholder="Destination Airport/City"
                                    autofocus="" onkeypress="return /[a-z]/i.test(event.key)"/>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-4 textleft">
                            <div class="form-group">
                                <span class="size10"><b>When?</b> ( {{totalDays}} Days )</span>
                                <span
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <div class="date-pics">
                                    <div class="date-pics-fs mt-2">
                                        <i class='las fa-calendar'></i>
                                    </div>
                                    <div class="date-pics-sc col-lg-12 pl-0 pt-0 pb-0">
                                        <input onkeydown="return false;" required type="text" id="daterange1" name="daterange"
                                        datepicker-popup is-open="true"
                                            class="form-control date-picker mt-2 " autocomplete="off"
                                            placeholder="Enter a date" date-range-picker ng-model="strDeptDate"
                                            ng-selected="myFunction(strDeptDate.startDate,strDeptDate.endDate)" options="flightop" /> </div>
                                </div>



                                <!-- <span class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required">

                                  </span><input required type="text" 
                                  id="daterange1" name="daterange" class="form-control date-picker"
                                   autocomplete="off" placeholder="Enter a date" date-range-picker options="flightop" /> -->
                            </div>
                        </div>
                    </div>
                    <div class="textleft row pt-2 px-0">
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Adult</b></span>
                                <select class="form-control mb15 mt-2 " id="fltrADT" ng-model="flightSearchRQ.adtCnt">
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                    <option value="7">7</option>
                                    <option value="8">8</option>
                                    <option value="9">9</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Child</b></span>
                                <select class="form-control mb15 mt-2 " id="fltrCNN" ng-model="flightSearchRQ.chldCnt">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                          <option value="7">7</option>
                          <option value="8">8</option>
                          <option value="9">9</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Infant</b></span>
                                <select class="form-control mb15 mt-2 " id="fltrINF" ng-model="flightSearchRQ.infCnt">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                          <option value="6">6</option>
                          <option value="7">7</option>
                          <option value="8">8</option>
                          <option value="9">9</option>
                                </select>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-3 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Class</b></span>
                                <select class="form-control mb15 mt-2  ng-pristine ng-untouched ng-valid"
                                    ng-model="flightSearchRQ.classType" id="fltr-class">
                                    <option value="Economy">Economy</option>
                                    <option value="Business">Business</option>
                                    <option value="First">First</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-3 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Preferred Airline</b></span>
                                <span role="status" aria-live="polite"
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <!-- <input
                            type="text"
                            id="prefered_airline"
                           
                            name="prefered_airline"  ng-model="flightSearchRQ.airline"
                            class="form-control ui-autocomplete-input valid"
                            placeholder="Preferred airline"
                            autofocus=""
                          /> -->
                                <input type="text" name="prefAirline" id="contenteditables1" class="form-control mt-2"
                                    placeholder="Preferred Airline" />

                            </div>
                        </div>
                        <!-- <div class="col-md-2 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Promo Code</b></span>
                                <input type="text" name="promocode" class="form-control"
                                    ng-model="flightSearchRQ.promoCode" id="promocode" placeholder="Promo Code">
                            </div>
                        </div> -->
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-12 textleft p-0">
                            <div id="contentdiv" style="float:left; width:100%; padding:0;" class="clearfix"></div>
                            <span ng-show="flightSearchRQ.prefAirlineList.length>0"
                                ng-repeat="airline in flightSearchRQ.prefAirlineList" class="contenttags">
                                <span style="float:left;" class="destination">{{airline}}</span>
                                <span class="xclass" ng-click="removeprefAirlineList(airline);">&times;</span>
                            </span>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft p-0">
                            <label style="margin-top: 22px;" class="checkbox-label direct-flight-cb">
                                <input type="checkbox" name="directFlight" id="directFlight"
                                    ng-model="flightSearchRQ.prefNonStop" />
                                <span class="checkbox-custom rectangular"></span>
                                <span class="input-title" style="padding-left: 6px;">Direct Flight</span>
                            </label>
                        </div>

                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft p-0">
                            <button type="submit" ng-click="flightSearch('roundTrip',flightSearchRQ)"
                                class="btn btn-lg btn-block custom-search-btn">
                                SEARCH
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="multiCity" class=" tab-pane fadein">
                <div class="multicity-groups">
                    <div class="multicity-group" id="cloneTrip">
                        <div class="textleft row p-0"
                            ng-repeat="multicityInfo in multiCityFlightSearchRQ.multicityInfos track by $index">
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying From</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                        type="text" id="{{'multi_flying_from_'+$index}}" required="" name="from_place" autocomplete="off"
                                        ng-model="multicityInfo.frmAirport" ng-click="intiMultiCityFromAirPortAutoComplete($index)"
                                        class="form-control ui-autocomplete-input valid mt-2 " placeholder="Origin Airport/City"
                                        autofocus="" onkeyup="this.value=this.value.replace([A-Za-z],'');" />
                                </div>
                            </div>
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying To </b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                        type="text" required="" id="{{'multi_flying_to_'+$index}}" autocomplete="off"
                                        class="form-control ui-autocomplete-input valid mt-2 " ng-click="intiMultiCityToAirPortAutoComplete($index)"
                                        ng-model="multicityInfo.toAirport" placeholder="Destination Airport/City" autofocus="" onkeyup="this.value=this.value.replace([A-Za-z],'');"/>
                                </div>
                            </div>
                            <div class="col-md-4 textleft p-0">
                                <div class="form-group">
                                    <span class="size10"><b>When?</b></span>
                                    <div class="date-pics p-0">
                                        <div class="date-pics-fs mt-2">
                                            <i class='las fa-calendar'></i>
                                        </div>
                                        <div class="date-pics-sc col-lg-12" style="padding-left:0px!important;">
                                            <input onkeydown="return false;" datepicker-popup is-open="true"
                                        required type="text" id="{{'multi_flying_departure_'+$index}}"
                                                name="daterange" class="form-control date-picker mt-2 " autocomplete="off"
                                                placeholder="Enter date" 
                                                ng-mouseenter="multicityWhendata($event,strmultiDate._d,$index)"
                                                ng-model="multicityInfo.strDeptDate" options="flightop" />
                                        </div>
                                    </div>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <!-- <input
                                        type="date" id="departure"  id="{{'multi_flying_departure_'+$index}}" required="" 
                                        ng-model="multicityInfo.strDeptDate"
                                        class="form-control ui-autocomplete-input valid" placeholder="Departure"
                                        autofocus="" /> -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="textleft row">
                    <div class="col-md-5 textleft pax-count-container">
                        <div class="form-group">
                            <span class="size10"><b>Adult</b></span>
                            <select class="form-control mb15 mt-2 " id="fltmADT" ng-model="multiCityFlightSearchRQ.adtCnt">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                                <option value="7">7</option>
                                <option value="8">8</option>
                                <option value="9">9</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <span class="size10"><b>Child</b></span>
                            <select class="form-control mb15 mt-2 " id="fltmCNN" ng-model="multiCityFlightSearchRQ.chldCnt">
                                <option value="0">0</option>
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                                <option value="7">7</option>
                                <option value="8">8</option>
                                <option value="9">9</option>

                            </select>
                        </div>
                        <div class="form-group">
                            <span class="size10"><b>Infant</b></span>
                            <select class="form-control mb15 mt-2 "  id="fltmINF" ng-model="multiCityFlightSearchRQ.infCnt">
                                <option value="0">0</option>
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                                <option value="7">7</option>
                                <option value="8">8</option>
                                <option value="9">9</option>
                            </select>
                        </div>

                        <!-- <div class="form-group">
                            <span class="size10"><b>Promo Code</b></span>
                            <input type="text" name="promocode" class="form-control"
                                ng-model="multiCityFlightSearchRQ.promoCode" id="promocode" placeholder="Promo Code">
                        </div> -->
                    </div>
                    <div class="col-md-2 textleft">
                        <div class="form-group">
                            <span class="size10"><b>Class</b></span>
                            <select class="form-control mb15 mt-2 ng-pristine ng-untouched ng-valid"
                                ng-model="multiCityFlightSearchRQ.classType" id="fltm-class">
                                <option value="Economy">Economy</option>
                                <option value="Business">Business</option>
                                <option value="First">First</option>
                            </select>
                        </div>
                    </div>
                    <div class="textleft row">

                        <!-- <div class="col-md-6 textleft">
                            <div class="form-group">
                                <span class="size10"><b>Preferred Airline</b></span>
                                <span role="status" aria-live="polite"
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <input type="text" name="prefAirline" id="contenteditables1" class="form-control"
                                    placeholder="Preferred Airline" />

                            </div>
                        </div> -->
                        <!-- <div class="col-md-6 textleft" >
                            <div class="form-group">
                                <span class="size10"><b>Promo Code</b></span>
                                <input type="text" name="promocode" class="form-control" ng-model="flightSearchRQ.promocode" id="promocode" placeholder="Promo Code">
                            </div>
                        </div> -->
                        <!-- <div class="col-md-6" style="margin-top:22px">
                            <label class="checkbox-label home-cb direct-flight-cb">
                                <input type="checkbox" name="directFlight" id="directFlight"
                                    ng-model="flightSearchRQ.prefNonStop" />
                                <span class="checkbox-custom rectangular"></span>
                                <span class="input-title">Direct Flight</span>
                            </label> -->
                            <!-- <div id="contentdiv" style="float:left; width:100%; padding:0;" class="clearfix"></div>
                            <span class="col-md-4" ng-show="flightSearchRQ.prefAirlineList.length>0"
                                ng-repeat="airline in flightSearchRQ.prefAirlineList" class="contenttags">
                                <span style="float:left;" class="destination">{{airline}}</span>
                                <span class="xclass" ng-click="removeprefAirlineList(airline);">&times;</span>
                            </span> -->
                        <!-- </div> -->
                        <!-- <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft" >
                            <div id="contentdiv" style="float:left; width:100%; padding:0;" class="clearfix"></div>
                            <span ng-show="flightSearchRQ.prefAirlineList.length>0"
                                ng-repeat="airline in flightSearchRQ.prefAirlineList" class="contenttags">
                                <span style="float:left;" class="destination">{{airline}}</span>
                                <span class="xclass" ng-click="removeprefAirlineList(airline);">&times;</span>
                            </span>
                        </div> -->
                    <div class="col-md-12 textleft add-trip-btn-section ml-5 align-ctr" >

                        <button type="button" class="btn btn-outline add-trip-btn" ng-click="addMultiCityTrip()"
                            href="#cloneTrip">Add Trip</button>
                        <button type="button" class="btn btn-outline remove-trip-btn"
                            ng-click="removeMultiCityTrip()">Remove</button>
                        <button type="submit" ng-click="flightSearch('multiCity',multicityInfo)"
                            class="btn btn-lg custom-search-btn" id="multicity_search"> SEARCH
                        </button>

                    </div>
                </div>
                <div class="textleft row">
                    <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">

                    </div>
                </div>
            </div>
        </div>
    </form>
</div>


<style>
.align-ctr{
    align-self: center;
}

    input,select{
        font-size: 14px !important;
    }
    <!-- .form-control {
    color: black !important;
    }

    .date-pics {
        display: flex;
        align-items: center;
    }
    .flight-type.active{
    background: #941b1c9e !important;
    border: 1px solid #d91718 !important;
    transform: scale(1.075);

    }

    .date-pics-fs {
        padding: 9px;
        border: 1px solid #00000040;
        border-radius: 4px 0 0 4px;
    }

    .date-pics-sc input {
        border-radius: 0 4px 4px 0;


    }
    .theme--light.v-btn.v-btn--icon {
  color: rgb(217 23 24)!important;
}
button:focus {
  outline: none;
}

    .close-tab {
        border-radius: 50%;
        padding: 7px;
        cursor: pointer;
        ;
    }

    .close-tab:hover {
        border-radius: 50%;
        background: #d917182e;
        padding: 7px;
        cursor: pointer;
    }
    input::placeholder {
  font-size: 12px!important;
}
input::placeholder {
  font-size: 13px!important;
}
select:required:invalid {
    font-size: 13px!important;
}
option[value=""][disabled] {
  display: none;
}
option {
    font-size: 15px!important;
}

    .custom-search-btn {
        background: linear-gradient(#d91718, #d91718) !important;
        border: 1px solid #d91718 !important;
        font-family: "Montserrat", sans-serif !important;
        font-size: 13px !important;
        font-weight: 700 !important;
        color: #fff !important;
        /* margin-top: 9px !important; */
    }

    .btn:hover {
        color: black !important;
        background: #fff !important;
    }

    .daterangepicker table {
        width: 100% !important;
        margin: 0 !important;
        font-size: 12px !important;
    }

    .btn-success {
        color: #fff !important;
        background-color: red !important;
        border-color: red !important;
    }
    -->
    .checkbox-label.home-cb
    {
    font-size:
    13px;
    color:
    #fff;
    line-height:
    16px;
    font-weight:
    600;
    margin-bottom:
    15px;
    }
    /*
    .checkbox-label
    .checkbox-custom
    {
    position:
    absolute;
    top:
    0px;
    left:
    0px;
    height:
    18px;
    width:
    18px;
    transform:
    scale(0.85);
    background-color:
    transparent;
    border-radius:
    4px;
    transition:
    all
    0.3s
    ease-out;
    -webkit-transition:
    all
    0.3s
    ease-out;
    -moz-transition:
    all
    0.3s
    ease-out;
    -ms-transition:
    all
    0.3s
    ease-out;
    -o-transition:
    all
    0.3s
    ease-out;
    border:
    2px
    solid
    white;
    }
    */
    .remove-trip-btn:hover
    {
    background-color:
    #2195c3
     !important;
    }
    .add-trip-btn:hover
    {
    background-color:
    #2195c3
     !important;
    }
    .daterangepicker.dropdown-menu
    {
    max-width:
    493px
     !important;
     left: 862.25px !important;
    z-index:
    3000
     !important;
    }
    .daterangepicker.dropdown-menu.single
    {
    max-width:
    fit-content
     !important;
    }
</style>

